LOOK(1)

BEZEICHNUNG
look - Zeilen anzeigen, die mit einer angegebenen Zeichenkette beginnen

ÜBERSICHT
look [-bdf] [-t Terminierungszeichen] Zeichenkette [file ...]

BESCHREIBUNG
Das Dienstprogramm look zeigt alle Zeilen in einer Datei an, welche mit der Zeichenkette anfangen.

Wenn keine Datei angegeben ist, wird die Datei /usr/share/dict/words verwendet. Es werden dann nur alphanumerische Zeichen verglichen und die Groß-/Kleinschreibung von Buchstaben wird ignoriert.

Die folgenden Optionen sind verfügbar:

-b, --binary
    führt eine Binärsuche in der angegebenen Wortliste aus. Wenn Sie die Groß-/Kleinschreibung mit -f oder nicht-alphanumerische Zeichen mit -d ignorieren, muss die Datei auf die gleiche Art sortiert sein. Bitte beachten Sie, dass diese Optionen die Vorgabe sind, wenn kein Dateiname angegeben wird. Siehe sort(1) für weitere Informationen zum Sortieren von Dateien.

-d, --alphanum
    gibt den Zeichensatz und die Reihenfolge des Wörterbuchs an, das heißt, dass nur alphanumerische Zeichen verglichen werden.

-f, --ignore-case
    ignoriert die Groß-/Kleinschreibung von Buchstaben.

-t, --terminate Terminierungszeichen
    gibt ein Zeichen zur Markierung des Zeichenkettenendes an, d.h. es werden nur die Zeichen in der Zeichenkette bis zu einschließlich des ersten Vorkommens des angegebenen Zeichens verglichen.

UMGEBUNGSVARIABLEN
Die Umgebungsvariablen LANG, LC_ALL und LC_CTYPE beeinflussen die Ausführung des Dienstprogramms look. Deren Auswirkungen sind in environ(7) beschrieben.

DATEIEN
/usr/share/dict/words
    das Wörterbuch

EXIT-STATUS
Das Dienstprogramm look gibt 0 zurück, wenn eine oder mehrere Zeilen gefunden und angezeigt wurden, 1, wenn keine Zeilen gefunden wurden, und >1, wenn ein Fehler aufgetreten ist.

KOMPATIBILITÄT
Die ursprüngliche Handbuchseite beschrieb, dass Tabulatoren und Leerräume in Vergleichen berücksichtigt werden, wenn die Option -d angegeben wurde. Das war nicht korrekt; die aktuelle Handbuchseite entspricht der historischen Implementation.

look verwendet standardmäßig eine lineare statt einer Binärsuche, die von den meisten anderen Implementationen standardmäßig verwendet wird.

Die Schalter -a und --alternative werden aus Kompatibilitätsgründen ignoriert.

SIEHE AUCH
grep(1), sort(1)

GESCHICHTE
Ein look -Befehl erschien in AT&T UNIX.

FEHLER
Die Zeilen werden nicht anhand der Sortierreihenfolge verglichen, die die aktuelle Locale vorgibt. Die Eingabedateien müssen mit dem auf ‘C’ gesetzten LC_COLLATE sortiert sein.

Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.